# datatrash

A file and text uploading service with configurable time limit

![Application screenshot](./screenshot.png)

## compiling

```sh
cargo build --release
```

or

```sh
docker build -t datatrash .
docker cp datatrash:/home/rust/.cargo/bin/datatrash datatrash
```

or, to just run it in docker

```sh
docker-compose up -d --build
```

## running & config

| environment variable | default value         |
| -------------------- | --------------------- |
| DATABASE_URL         | postresql://localhost |
| SERVER_URL           | http://loalhost:8000  |
| FILES_DIR            | ./files               |
| UPLOAD_MAX_BYTES     | 8388608 (8MiB)        |
| BIND_ADDRESS         | 0.0.0.0:8000          |

The maximum filename length is 255
